KWIN_QUEUE_POSITION_EVENT(3)

EXPERIMENTAL_FUNC
kwin_queue_position_event - Queue a position event on a pixel canvas for possible processing.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_queue_position_event

(KPixCanvas canvas, int x, int y, flag clip, unsigned int event_code, void *event_info)

DESCRIPTION
This function is similar to the <-kwin_process_position_event-> function, except that non-critical events may be dropped if the system is too busy. This avoids application response lagging behind user input.

canvas
    The pixel canvas.

x   The horizontal position of the event, relative to the parent window.

y   The vertical position of the event, relative to the parent window.

clip
    If this is TRUE, events outside of the canvas boundary are clipped to the nearest boundary and passed on to the registered position event consumers. If this is FALSE, events outside of the canvas boundary are not consumed (i.e. they are ignored).

event_code
    The arbitrary event code.

event_info
    The arbitrary event information.

RETURN VALUE
TRUE if the event was consumed or queued, else FALSE.

Multi-threading Level
Unsafe.

NOTES
Only mouse move and mouse drag events are considered non-critical.

Older events are dropped, ensuring that the most recent event is always processed.

Events may be processed in the context of a work function (see the <-w-> package for information on work functions).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/